### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-radio/ecl-radio.directive.ts`

### Implements

`AfterContentInit` `OnChanges`

### Metadata

Selector | `[eclRadio]`

### Index

###### Properties

- eclRadioHelpComponent
- eclRadioLabelComponent

###### Inputs

- isBinary
- isDisabled
- isInvalid

###### HostBindings

- class

###### Accessors

- cssClasses

### Inputs

isBinary
Type : `boolean`

isDisabled
Type : `boolean`
Default value : `false`

isInvalid
Type : `boolean`
Default value : `false`

### HostBindings

class
Type : `any`

### Properties

eclRadioHelpComponent
Type : `EclRadioHelpComponent`
Decorators : `@ContentChild(undefined)`

eclRadioLabelComponent
Type : `EclRadioLabelComponent`
Decorators : `@ContentChild(undefined)`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""